Bug 258947 - Acid 3 crash
Summary: Acid 3 crash
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: 0.6.1
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 0.7
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-05 22:39 UTC by spyros
Modified: 2011-02-25 00:56 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description spyros 2010-12-05 22:39:25 UTC
Application: rekonq (0.6.1)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-23-generic i686
Distribution: Ubuntu 10.10

-- Information about the crash:
If you go at Tools > Development and enable Network Analuzer and then go to "http://acid3.acidtests.org/" then the webbrowser rekonq will crash

The crash can be reproduced every time.

-- Backtrace:
Application: rekonq (rekonq), signal: Segmentation fault
[Current thread is 1 (Thread 0xb7857930 (LWP 10910))]

Thread 6 (Thread 0xb578db70 (LWP 10911)):
#0  0x00a1a416 in __kernel_vsyscall ()
#1  0x001e64dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ed9dbd in pthread_cond_wait () from /lib/libc.so.6
#3  0x01c643a5 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0x01c64481 in ?? () from /usr/lib/libQtWebKit.so.4
#5  0x001e1cc9 in start_thread () from /lib/libpthread.so.0
#6  0x00ecc6be in clone () from /lib/libc.so.6

Thread 5 (Thread 0xb4bf9b70 (LWP 10912)):
#0  0x00a1a416 in __kernel_vsyscall ()
#1  0x001e64dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ed9dbd in pthread_cond_wait () from /lib/libc.so.6
#3  0x024609c7 in wait (this=0x861d098, mutex=0x8621878, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x861d098, mutex=0x8621878, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0026f030 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x861d080, th=0x88cdb50) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x002727dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8626410, th=0x88cdb50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0026e55b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x861d080, th=0x88cdb50) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x002728d2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8626410, th=0x88cdb50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0026f533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x861d080, th=0x88cdb50, previous=0x8805e48) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0027095e in ThreadWeaver::ThreadRunHelper::run (this=0xb4bf92f4, parent=0x861d080, th=0x88cdb50) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x0027107b in ThreadWeaver::Thread::run (this=0x88cdb50) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0245fdf9 in QThreadPrivate::start (arg=0x88cdb50) at thread/qthread_unix.cpp:266
#13 0x001e1cc9 in start_thread () from /lib/libpthread.so.0
#14 0x00ecc6be in clone () from /lib/libc.so.6

Thread 4 (Thread 0xb43f8b70 (LWP 10913)):
#0  0x00a1a416 in __kernel_vsyscall ()
#1  0x001e64dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ed9dbd in pthread_cond_wait () from /lib/libc.so.6
#3  0x024609c7 in wait (this=0x861d098, mutex=0x8621878, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x861d098, mutex=0x8621878, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0026f030 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x861d080, th=0x88cdc40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x002727dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8626410, th=0x88cdc40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0026e55b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x861d080, th=0x88cdc40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x002728d2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8626410, th=0x88cdc40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0026f533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x861d080, th=0x88cdc40, previous=0x8810430) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0027095e in ThreadWeaver::ThreadRunHelper::run (this=0xb43f82f4, parent=0x861d080, th=0x88cdc40) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x0027107b in ThreadWeaver::Thread::run (this=0x88cdc40) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0245fdf9 in QThreadPrivate::start (arg=0x88cdc40) at thread/qthread_unix.cpp:266
#13 0x001e1cc9 in start_thread () from /lib/libpthread.so.0
#14 0x00ecc6be in clone () from /lib/libc.so.6

Thread 3 (Thread 0xac3f4b70 (LWP 10915)):
#0  0x00dd5e36 in clock_gettime () from /lib/librt.so.1
#1  0x024bb50b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x025926e5 in QTimerInfoList::updateCurrentTime (this=0xaba01a34) at kernel/qeventdispatcher_unix.cpp:339
#4  0x0259272a in QTimerInfoList::timerWait (this=0xaba01a34, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x025907a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xac3f40bc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x0259083d in timerSourcePrepare (source=0x0, timeout=0xdd9ff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x033cce6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x033cd279 in ?? () from /lib/libglib-2.0.so.0
#9  0x033cd848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x0259059f in QEventDispatcherGlib::processEvents (this=0xaba00468, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x02560609 in QEventLoop::processEvents (this=0xac3f4290, flags=) at kernel/qeventloop.cpp:149
#12 0x02560a8a in QEventLoop::exec (this=0xac3f4290, flags=...) at kernel/qeventloop.cpp:201
#13 0x0245cb7e in QThread::exec (this=0x8974c58) at thread/qthread.cpp:490
#14 0x0253f35b in QInotifyFileSystemWatcherEngine::run (this=0x8974c58) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x0245fdf9 in QThreadPrivate::start (arg=0x8974c58) at thread/qthread_unix.cpp:266
#16 0x001e1cc9 in start_thread () from /lib/libpthread.so.0
#17 0x00ecc6be in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa4f47b70 (LWP 10917)):
#0  0x00a1a416 in __kernel_vsyscall ()
#1  0x001e6884 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ed9e14 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0x064a9b3f in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0xb7857930 (LWP 10910)):
[KCrash Handler]
#7  0x004106a4 in setText (this=0x875d5a8, replyObject=0x8ab6b78) at /usr/include/qt4/QtGui/qtreewidget.h:227
#8  NetworkAnalyzer::requestFinished (this=0x875d5a8, replyObject=0x8ab6b78) at /build/buildd/rekonq-0.6.1/src/analyzer/networkanalyzer.cpp:157
#9  0x0041335f in NetworkAnalyzer::qt_metacall (this=0x875d5a8, _c=QMetaObject::InvokeMetaMethod, _id=29, _a=0xbfca54a8) at /build/buildd/rekonq-0.6.1/obj-i686-linux-gnu/src/networkanalyzer.moc:81
#10 0x025678ca in QMetaObject::metacall (object=0x875d5a8, cl=QMetaObject::InvokeMetaMethod, idx=29, argv=0xbfca54a8) at kernel/qmetaobject.cpp:237
#11 0x0257a6ad in QMetaObject::activate (sender=0x8740220, m=0x26930f8, local_signal_index=3, argv=0xf573c0) at kernel/qobject.cpp:3280
#12 0x0257d4b3 in QSignalMapper::mapped (this=0x8740220, _t1=0x8ab6b78) at .moc/release-shared/moc_qsignalmapper.cpp:122
#13 0x0257e8cd in QSignalMapper::map (this=0x8740220, sender=0x8ab6b78) at kernel/qsignalmapper.cpp:272
#14 0x0257e9ce in QSignalMapper::map (this=0x8740220) at kernel/qsignalmapper.cpp:257
#15 0x0257ea9b in QSignalMapper::qt_metacall (this=0x8740220, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfca55fc) at .moc/release-shared/moc_qsignalmapper.cpp:87
#16 0x025678ca in QMetaObject::metacall (object=0x8740220, cl=QMetaObject::InvokeMetaMethod, idx=8, argv=0xbfca55fc) at kernel/qmetaobject.cpp:237
#17 0x0257a6ad in QMetaObject::activate (sender=0x8ab6b78, m=0x7a2248c, local_signal_index=1, argv=0xf573c0) at kernel/qobject.cpp:3280
#18 0x079e13e7 in QNetworkReply::finished (this=0x8ab6b78) at .moc/release-shared/moc_qnetworkreply.cpp:152
#19 0x0077e0c5 in KDEPrivate::AccessManagerReply::jobDone (this=0x8ab6b78, kJob=0xa1f1e38) at ../../kio/kio/accessmanagerreply_p.cpp:248
#20 0x0077e96f in KDEPrivate::AccessManagerReply::qt_metacall (this=0x8ab6b78, _c=QMetaObject::InvokeMetaMethod, _id=17, _a=0xbfca58d8) at ./accessmanagerreply_p.moc:83
#21 0x025678ca in QMetaObject::metacall (object=0x8ab6b78, cl=QMetaObject::InvokeMetaMethod, idx=17, argv=0xbfca58d8) at kernel/qmetaobject.cpp:237
#22 0x0257a6ad in QMetaObject::activate (sender=0xa1f1e38, m=0x23f6b48, local_signal_index=3, argv=0xf573c0) at kernel/qobject.cpp:3280
#23 0x022838a3 in KJob::result (this=0xa1f1e38, _t1=0xa1f1e38) at ./kjob.moc:194
#24 0x02283c08 in KJob::emitResult (this=0xa1f1e38) at ../../kdecore/jobs/kjob.cpp:312
#25 0x007c0480 in KIO::SimpleJob::slotFinished (this=0xa1f1e38) at ../../kio/kio/job.cpp:522
#26 0x007c0960 in KIO::TransferJob::slotFinished (this=0xa1f1e38) at ../../kio/kio/job.cpp:1111
#27 0x007be453 in KIO::TransferJob::qt_metacall (this=0xa1f1e38, _c=QMetaObject::InvokeMetaMethod, _id=47, _a=0xbfca5b7c) at ./jobclasses.moc:367
#28 0x025678ca in QMetaObject::metacall (object=0xa1f1e38, cl=QMetaObject::InvokeMetaMethod, idx=47, argv=0xbfca5b7c) at kernel/qmetaobject.cpp:237
#29 0x0257a6ad in QMetaObject::activate (sender=0x8aa24b0, m=0x96f944, local_signal_index=4, argv=0xf573c0) at kernel/qobject.cpp:3280
#30 0x00878fc7 in KIO::SlaveInterface::finished (this=0x8aa24b0) at ./slaveinterface.moc:171
#31 0x0087c768 in KIO::SlaveInterface::dispatch (this=0x8aa24b0, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:175
#32 0x00879483 in KIO::SlaveInterface::dispatch (this=0x8aa24b0) at ../../kio/kio/slaveinterface.cpp:91
#33 0x0086bfe8 in KIO::Slave::gotInput (this=0x8aa24b0) at ../../kio/kio/slave.cpp:344
#34 0x0086c1f3 in KIO::Slave::qt_metacall (this=0x8aa24b0, _c=QMetaObject::InvokeMetaMethod, _id=30, _a=0xbfca5e9c) at ./slave.moc:82
#35 0x025678ca in QMetaObject::metacall (object=0x8aa24b0, cl=QMetaObject::InvokeMetaMethod, idx=30, argv=0xbfca5e9c) at kernel/qmetaobject.cpp:237
#36 0x0257a6ad in QMetaObject::activate (sender=0x9eefcf0, m=0x96c500, local_signal_index=0, argv=0xf573c0) at kernel/qobject.cpp:3280
#37 0x00785e17 in KIO::Connection::readyRead (this=0x9eefcf0) at ./connection.moc:92
#38 0x0078817e in KIO::ConnectionPrivate::dequeue (this=0x9eef140) at ../../kio/kio/connection.cpp:82
#39 0x007882ae in KIO::Connection::qt_metacall (this=0x9eefcf0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xa0fcd98) at ./connection.moc:79
#40 0x025678ca in QMetaObject::metacall (object=0x9eefcf0, cl=QMetaObject::InvokeMetaMethod, idx=5, argv=0xa0fcd98) at kernel/qmetaobject.cpp:237
#41 0x02572df6 in QMetaCallEvent::placeMetaCall (this=0x86b9fa0, object=0x9eefcf0) at kernel/qobject.cpp:534
#42 0x025746a2 in QObject::event (this=0x9eefcf0, e=0xbfca534c) at kernel/qobject.cpp:1219
#43 0x0291efdc in QApplicationPrivate::notify_helper (this=0x85835b8, receiver=0x9eefcf0, e=0x86b9fa0) at kernel/qapplication.cpp:4396
#44 0x0292504e in QApplication::notify (this=0xbfca6804, receiver=0x9eefcf0, e=0x86b9fa0) at kernel/qapplication.cpp:3798
#45 0x00bf368a in KApplication::notify (this=0xbfca6804, receiver=0x9eefcf0, event=0x86b9fa0) at ../../kdeui/kernel/kapplication.cpp:310
#46 0x02561b3b in QCoreApplication::notifyInternal (this=0xbfca6804, receiver=0x9eefcf0, event=0x86b9fa0) at kernel/qcoreapplication.cpp:732
#47 0x02564d8b in sendEvent (receiver=0x0, event_type=0, data=0x855e9c8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#48 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x855e9c8) at kernel/qcoreapplication.cpp:1373
#49 0x02564f4d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#50 0x02590a74 in sendPostedEvents (s=0x857fd10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#51 postEventSourceDispatch (s=0x857fd10) at kernel/qeventdispatcher_glib.cpp:277
#52 0x033c9855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#53 0x033cd668 in ?? () from /lib/libglib-2.0.so.0
#54 0x033cd848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#55 0x02590565 in QEventDispatcherGlib::processEvents (this=0x855e688, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#56 0x029e0be5 in QGuiEventDispatcherGlib::processEvents (this=0x855e688, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#57 0x02560609 in QEventLoop::processEvents (this=0xbfca6754, flags=) at kernel/qeventloop.cpp:149
#58 0x02560a8a in QEventLoop::exec (this=0xbfca6754, flags=...) at kernel/qeventloop.cpp:201
#59 0x0256500f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#60 0x0291de07 in QApplication::exec () at kernel/qapplication.cpp:3672
#61 0x0042424e in kdemain (argc=1, argv=0xbfca6ac4) at /build/buildd/rekonq-0.6.1/src/main.cpp:198
#62 0x0804859b in main (argc=1, argv=0xbfca6ac4) at /build/buildd/rekonq-0.6.1/obj-i686-linux-gnu/src/rekonq_dummy.cpp:3

Reported using DrKonqi
Comment 1 Andrea Diamantini 2011-02-23 19:05:17 UTC
Targetting 0.7.
Thanks for the report.
Comment 2 Andrea Diamantini 2011-02-25 00:56:34 UTC
Git commit 68266369148c30e1888d67472178b2e0442135df by Andrea Diamantini.
Committed on 25/02/2011 at 00:57.
Pushed by adjam into branch 'master'.

Fix crash on some sites loading with Network Analyzer open

BUG:258947

M  +5    -0    src/analyzer/networkanalyzer.cpp     

http://commits.kde.org/rekonq/68266369148c30e1888d67472178b2e0442135df